{% extends "layout.html" %}
{% block title %}Users{% endblock %}
{% block section %}Users{% endblock %}
{% block head %}
{{ super() }}
    <link rel="stylesheet" href="/static/bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css">
{% endblock %}
{% block content %}
  <!-- Default box -->
  <div class="row">
    <div class="col-sm-8 col-sm-offset-2 col-md-10 col-md-offset-1">
      <div class="box">
        <div class="box-header with-border">
          <a href="/manager/user/create/new" class="btn btn-sm bg-{{ current_app.config.APPLICATION_SKIN_COLOR }} btn-flat pull-right"> + Create User</a>
        </div>
        <div class="box-body">
          <div class="table-responsive">
            <table id="table-users" class="table table-striped table-hover table-responsive">
              <thead>
              <tr>
                <th>ID</th>
                <th>Username</th>
                <th>First Name</th>
                <th>Last Name</th>
                <th>E-mail</th>
                <th>Phone Number</th>
                <th>Role</th>
                <th>Last Login</th>
                <th></th>
              </tr>
              </thead>
              <tbody>
              {% for item in users %}
              <tr data-record-id="{{ item.id }}">
                <td>{{ item.id }}</td>
                <td>{{ item.username }}</td>
                <td>{{ item.first_name }}</td>
                <td>{{ item.last_name }}</td>
                <td>{{ item.email }}</td>
                <td>{{ item.phone }}</td>
                <td>{{ item.role }}</td>
                <td>{{ moment(item.last_login).format('LLL') }}</td>
                <td><a href="#" data-record-id="{{ item.id }}" data-record-title="{{ item.username }}"
                       data-toggle="modal" data-target="#confirm-delete">Delete</a>
                </td>
              </tr>
              {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
        <!-- /.box-body -->
      </div>
    <!-- /.box -->
    </div>
  </div>
{% endblock %}

{% block footer %}
{{ super() }}
  <div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
      <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                  <h4 class="modal-title" id="myModalLabel">Confirm Delete</h4>
              </div>
              <div class="modal-body">
                  <p>You are about to delete the user  <b><i class="title"></i></b> this procedure is irreversible.</p>
                  <p>Do you want to proceed?</p>
              </div>
              <div class="modal-footer">
                  <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
                  <button type="button" class="btn btn-danger btn-ok">Delete</button>
              </div>
          </div>
      </div>
  </div>
{% endblock %}

{% block jquery %}
{{ super() }}
  <script src="/static/bower_components/datatables.net/js/jquery.dataTables.min.js"></script>
  <script src="/static/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js"></script>
  <script>
      $('#confirm-delete').on('click', '.btn-ok', function(e) {
          var $modalDiv = $(e.delegateTarget);
          var id = $(this).data('recordId');
          var csrf_token = "{{ csrf_token() }}";
          $.ajaxSetup({
            beforeSend: function(xhr, settings) {
              if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type) && !this.crossDomain) {
                  xhr.setRequestHeader("X-CSRFToken", csrf_token);
                }
              }
          });

          $.ajax({url: '/manager/user/delete/' + id, type: 'POST'})
          //$.post('/user/delete/' + id).then()
          $modalDiv.addClass('loading');
          $('[data-record-id=' + id + ']').remove();
          setTimeout(function() {
              $modalDiv.modal('hide').removeClass('loading');
          }, 1000)
      });
      $('#confirm-delete').on('show.bs.modal', function(e) {
          var data = $(e.relatedTarget).data();
          $('.title', this).text(data.recordTitle);
          $('.btn-ok', this).data('recordId', data.recordId);
      });
  </script>
  <script>
    $(document).ready(function(){
        $('#table-users').DataTable( {
        "iDisplayLength": 50,
        "aLengthMenu": [[50, 100, 250, 500, -1], [50, 100, 250, 500, "All"]],
        "deferRender": true
        });
    });
  </script>
{% endblock %}
